<?php
/**
 * Archive Layout
 *
 * @package Macro News
 */

$wp_customize->add_section(
	'macro_news_archive_layout',
	array(
		'title' => esc_html__( 'Archive Layout', 'macro-news' ),
		'panel' => 'macro_news_theme_options',
	)
);

// Archive Layout - Grid Style.
$wp_customize->add_setting(
	'macro_news_archive_grid_style',
	array(
		'default'           => 'grid-column-2',
		'sanitize_callback' => 'macro_news_sanitize_select',
	)
);

$wp_customize->add_control(
	'macro_news_archive_grid_style',
	array(
		'label'           => esc_html__( 'Grid Style', 'macro-news' ),
		'section'         => 'macro_news_archive_layout',
		'type'            => 'select',
		'choices'         => array(
			'grid-column-2' => __( 'Column 2', 'macro-news' ),
			'grid-column-3' => __( 'Column 3', 'macro-news' ),
		),
	)
);
